package com.bonait.bnframework.common.model.mode;

import java.util.List;

/**
 * 所有物料信息 获取基础信息（所有物料信息、设备工序模型、菜谱列表、商品小类、商品大类、单位数据）
 */
public class ResALLData {
    /**
     * 物料集合
     */
    public List<BatchingInfo>  batchingInfo;
    /**
     * 工艺模型  --一直
     */
    public List<GoodsTechnology>  goodsTechnology;
    /**
     * 工艺模型详细信息 --一致
     */
    public List<TechnologyAction>  technologyAction;
    /**
     * 菜谱信息
     */
    public List<FoodMenuInfo>  foodMenuInfo;
    /**
     * 商品小类
     */
    public List<GoodsTypeInfo>  goodsTypeInfo;
    /**
     * 商品大类
     */
    public List<GoodsParentTypeInfo>  goodsParentTypeInfo;
    /**
     * 商品单位
     */
    public List<GoodsUintInfo>  goodsUintInfo;

    /**
     * 配方分类
     */
    public List<BomTypeInfo>  bomTypeInfo;
}
