package com.bonait.bnframework.modules.home.adapter;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.recyclerview.widget.RecyclerView;

import com.bonait.bnframework.R;
import com.bonait.bnframework.common.db.QueryDB;
import com.bonait.bnframework.common.db.mode.BPA_GOODPROPERTY;
import com.bonait.bnframework.common.db.res.ResGoodProperty;
import com.bonait.bnframework.common.helper.I.MyClickListener;
import com.bonait.bnframework.common.view.MyLayoutManager;

import java.util.ArrayList;
import java.util.List;

public class pfsx_adapter extends ArrayAdapter<ResGoodProperty> {
    /**
     * 内部点击事件
     */
    private MyClickListener mListener;
    private List<ResGoodProperty> datas;
    int resource1;
    public Context contextA;
    public pfsx_adapter(@NonNull Context context, int resource, @NonNull List<ResGoodProperty> objects, MyClickListener listener) {
        super(context, resource, objects);
        mListener = listener;
        contextA=context;
        datas=objects;
        this.resource1=resource;
    }
    //每个子项被滚动到屏幕内的时候会被调用
    @NonNull
    @Override
    public View getView(int position, @Nullable View convertView, @NonNull ViewGroup parent) {
        ResGoodProperty bpa_goodproperty = (ResGoodProperty) getItem(position);//得到当前项选中item实例
        //为每一个子项加载设定的布局
        View view = LayoutInflater.from(getContext()).inflate(resource1, parent, false);
        //分别获取 image view 和 textview 的实例
        TextView name = view.findViewById(R.id.name);//属性名称

        RecyclerView recyclerView=view.findViewById(R.id.recycler_view);


        MyLayoutManager layout = new MyLayoutManager();
        layout.setAutoMeasureEnabled(true);
        recyclerView.setLayoutManager(layout);
        newpropertyselect_adapter zsxadapter = new newpropertyselect_adapter(contextA,bpa_goodproperty.child);
        recyclerView.setAdapter(zsxadapter);

        // 设置要显示的图片和文字
        name.setText(bpa_goodproperty.name);

        return view;
    }
}
