package com.bonait.bnframework.modules.home.adapter;



import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentManager;
import androidx.fragment.app.FragmentPagerAdapter;

import java.util.List;

public class MyQMUIFragmentPagerAdapter extends FragmentPagerAdapter {

    private List<Fragment> mDataList;

    public MyQMUIFragmentPagerAdapter(FragmentManager fm) {
        super(fm);
    }


    public MyQMUIFragmentPagerAdapter(FragmentManager fm, List<Fragment> dataList) {
        super(fm);
        mDataList = dataList;
    }

    @Override
    public Fragment getItem(int position) {
        return mDataList.get(position);
    }

    @Override
    public int getCount() {
        return mDataList.size();
    }
}
